Loading...
Searching...
No Matches
Dune::cpgrid::FaceCellsProxy Class Reference

A proxy class representing a row of FaceCellsContainer. More...

`#include <GridHelpers.hpp>`

## Public Member Functions

| FaceCellsProxy (const Dune::CpGrid *grid, int cell_index)
| Constructor.
int | operator[] (int local_index)
| Get the index of the cell associated with a local_index.

## Detailed Description

A proxy class representing a row of FaceCellsContainer.

## Constructor & Destructor Documentation

## FaceCellsProxy()

Dune::cpgrid::FaceCellsProxy::FaceCellsProxy | ( | const Dune::CpGrid * | grid,
|  | int | cell_index )

inline

Constructor.

Parameters

  grid | The grid whose face to cell mapping we represent.
  cell_index | The index of the cell we repesent.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp